## ros-indigo-cob-sound 0.6.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_sound)

find_package(catkin REQUIRED COMPONENTS actionlib_msgs actionlib cob_srvs diagnostic_msgs message_generation roscpp std_msgs std_srvs visualization_msgs)
find_package(PkgConfig REQUIRED)
pkg_check_modules(libvlc REQUIRED libvlc)

add_action_files(DIRECTORY action FILES
   Say.action
   Play.action
)

generate_messages(
  DEPENDENCIES actionlib_msgs
)

catkin_package(
  CATKIN_DEPENDS actionlib_msgs message_runtime
)

### BUILD ###
include_directories(${catkin_INCLUDE_DIRS})

add_executable(sound ros/src/sound.cpp)
add_dependencies(sound ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(sound ${catkin_LIBRARIES} ${libvlc_LIBRARIES})

### INSTALL ###
install(TARGETS sound
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(PROGRAMS ros/src/test_client.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}/ros/src
)

=== debian/changelog ===
ros-indigo-cob-sound (0.6.12-0trusty) trusty; urgency=high

  * update maintainer
  * Merge pull request #376 <https://github.com/ipa320/cob_driver/issues/376> from fmessmer/bulletproof_sound
    bulletproof sound
  * bulletproof sound
  * Merge pull request #362 <https://github.com/ipa320/cob_driver/issues/362> from ipa-fmw/fix/sound_play
    [cob_sound] catch if filename is empty or invalid
  * catch if filename is empty
  * Contributors: Felix Messmer, fmessmer, ipa-fxm, msh

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-sound (0.6.11-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #353 <https://github.com/ipa320/cob_driver/issues/353> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-sound (0.6.10-0trusty) trusty; urgency=high



 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 23 Jul 2017 22:00:00 -0000

ros-indigo-cob-sound (0.6.9-0trusty) trusty; urgency=high

  * remove dependency to sound_play
  * fix sound test_client
  * manually fix changelog
  * Contributors: Felix Messmer, ipa-fxm

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-sound (0.6.8-0trusty) trusty; urgency=high

  * fade volume on play and between tracks
  * fix sound action namespaces
  * unify namespaces with cob_light
  * use private namespace for cob_sound parameters
  * consistently fill result for say and play
  * Contributors: Benjamin Maidel, ipa-cob4-2, ipa-fxm, msh

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-sound (0.6.7-0trusty) trusty; urgency=high



 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Fri, 01 Apr 2016 22:00:00 -0000

ros-indigo-cob-sound (0.6.6-0trusty) trusty; urgency=high

  * fix sound dependencies
  * considered pr comments
  * removed debug logging
  * start feedback timer only if action is active
  * start action server after complete init
  * use libvlc for sound play
  * merge
  * support for other cepstral voices (e.g. german Matthias)
  * sound error with Cepstral,use alsa oss
  * missed dependencies
  * Contributors: Benjamin Maidel, cob4-2, ipa-cob4-2, ipa-fmw, ipa-nhg

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-sound (0.6.5-0trusty) trusty; urgency=high

  * fix dependencies
  * Contributors: ipa-fxm

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-cob-sound (0.6.4-0trusty) trusty; urgency=high

  * boost revision
  * do not install headers in executable-only packages
  * explicit dependency to boost
  * alsa-oss dependency
  * fixing dependencies
  * remove obsolete autogenerated mainpage.dox files
  * remove trailing whitespaces
  * add_dependencies EXPORTED_TARGETS
  * migrate to package format 2
  * merge
  * deleted name argument and added a comment
  * update cob_sound
  * sort dependencies
  * critically review dependencies
  * play sound
  * Contributors: ipa-fxm, ipa-nhg

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-indigo-cob-sound (0.6.3-0trusty) trusty; urgency=high

  * merge with ipa320
  * adapt test script for sound
  * use component namespaces for light, mimic and say
  * add visualization marker to sound
  * use Timer for diagnostics
  * add hardware_id to sound
  * reduce diagnostics frequency to 1Hz
  * use new Trigger from std_srvs
  * move cob_sound launch file to cob_bringup
  * Contributors: ipa-fmw, ipa-fxm

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-sound (0.6.2-0trusty) trusty; urgency=high

  * Merge branch 'indigo_dev' into indigo_release_candidate
  * missed dependency
  * missed dependency
  * Contributors: Florian Weisshardt, ipa-cob4-2, ipa-nhg

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-cob-sound (0.6.1-0trusty) trusty; urgency=high



 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-indigo-cob-sound (0.6.0-0trusty) trusty; urgency=high



 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Mon, 08 Sep 2014 22:00:00 -0000

ros-indigo-cob-sound (0.5.7-0trusty) trusty; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * 0.5.6
  * update changelog
  * merge
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * Merge pull request #135 <https://github.com/ipa320/cob_driver/issues/135> from ipa320/hydro_release_candidate
    bring back changes from Hydro release candidate
  * New maintainer
  * Contributors: Alexander Bubeck, Florian Weisshardt, Nadia Hammoudeh García, ipa-nhg

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-indigo-cob-sound (0.5.6-0trusty) trusty; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * merge
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * Merge pull request #135 <https://github.com/ipa320/cob_driver/issues/135> from ipa320/hydro_release_candidate
    bring back changes from Hydro release candidate
  * New maintainer
  * Contributors: Alexander Bubeck, Florian Weisshardt, Nadia Hammoudeh García, ipa-nhg

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-indigo-cob-sound (0.5.3-0trusty) trusty; urgency=high

  * install tags
  * Contributors: ipa-fxm

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 30 Mar 2014 22:00:00 -0000



=== debian/control ===
Source: ros-indigo-cob-sound
Section: misc
Priority: extra
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libvlc-dev, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-cob-srvs, ros-indigo-diagnostic-msgs, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-visualization-msgs, vlc
Homepage: http://ros.org/wiki/cob_sound
Standards-Version: 3.9.2

Package: ros-indigo-cob-sound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, alsa-oss, libvlc-dev, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-cob-srvs, ros-indigo-diagnostic-msgs, ros-indigo-message-runtime, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-visualization-msgs, vlc
Description: This package implements a sound play module using text2wave and aplay through python.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-sound//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
